import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/core/styles/app_text.dart';
import 'package:tanami_app/shared/components/text_widget.dart';
import 'package:tanami_app/shared/components/toast_message.dart';

import '../bloc/timer/timer_bloc.dart';
import '../bloc/timer/timer_state.dart';

class ResendOtpSection extends StatelessWidget {
  const ResendOtpSection({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<TimerBloc, TimerState>(
      builder: (context, state) {
        return Padding(
          padding: const EdgeInsets.symmetric(horizontal: 15, vertical: 10),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              TextWidget().text14W500(
                state.formattedDuration,
                clr: AppColor.plainBlack,
              ),
              GestureDetector(
                onTap: () {
                  successToastMessage(context, "OTP Resend Sucessfully !");
                },
                child: TextWidget().text14W500(
                  AppText.resendSms,
                  clr: AppColor.plainBlack,
                  textDecoration: TextDecoration.underline,
                ),
              )
            ],
          ),
        );
      },
    );
  }
}
